For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all the sub-accounts of the master account.
      • POSTCreate a new sub-account under a master account.
      • GETGet sub-account details
      • DELDelete a sub-account
      • PUTUpdate sub-account plan
      • PUTUpdate sub-accounts plan
      • POSTGenerate SSO token to access admin account
      • POSTGenerate SSO token to access sub-account
      • GETGet the details of requested master account
      • POSTCreate an API key for a sub-account
      • PUTEnable/disable sub-account application(s)
      • POSTCreate a new group of sub-accounts
      • GETList of all IPs
      • POSTAssociate an IP to sub-accounts
      • PUTDissociate an IP to sub-accounts
      • GETGET a group details
      • PUTUpdate a group of sub-accounts
      • DELDelete a group
      • PUTDelete sub-account from group
      • POSTSend invitation to an admin user
      • PUTResend / cancel admin user invitation
      • DELRevoke an admin user
      • GETGet the list of all admin users
      • GETCheck admin user permissions
      • PUTChange admin user permissions
      • GETGet the list of groups
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsMaster Account

Get the list of groups

GET
https://api.brevo.com/v3/corporate/groups
GET
/v3/corporate/groups
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.masterAccount.getSubAccountGroups();
8}
9main();
1[
2 {
3 "groupName": "My group 1",
4 "id": "d3b142c709d6ed67ef1cd903"
5 },
6 {
7 "groupName": "My group 2",
8 "id": "a5b192a709d6ed67ef8fd922"
9 },
10 {
11 "groupName": "My group 3",
12 "id": "bbb142c709d6ed67ef1cd910"
13 }
14]
This endpoint allows you to list all groups created on your Admin account.
Was this page helpful?
Previous

Get the list of all your users

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Response

list of all the sub-account groups

groupNamestring

The name of the group of sub-accounts

idstring
Unique id of the group

Errors

400
Bad Request Error